Bug 136666 - hal properties printer.vendor and info.product not being set for some printers.
hal properties printer.vendor and info.product not being set for some printers.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 11:36 EDT by Tim Waugh
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 12:47:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eggcups-crash.txt (5.22 KB, text/plain)
2004-10-21 11:36 EDT, Tim Waugh
no flags Details
lshal.out (71.71 KB, text/plain)
2004-10-21 11:42 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2004-10-21 11:36:15 EDT
Description of problem:
eggcups is crashing immediately on start-up.

Version-Release number of selected component (if applicable):
desktop-printing-0.17-2
dbus-0.22-10

How reproducible:
100%

Steps to Reproduce:
1. Log in.
Comment 1 Tim Waugh 2004-10-21 11:36:51 EDT
Created attachment 105591 [details]
eggcups-crash.txt

Here's the backtrace from bug-buddy.
Comment 2 Tim Waugh 2004-10-21 11:42:19 EDT
Created attachment 105593 [details]
lshal.out

lshal >lshal.out 2>&1
Comment 3 Tim Waugh 2004-10-21 11:45:23 EDT
Should printer.vendor and info.product be set for this device?  Or
should eggcups be looking at usb.vendor/product?  Here's the relevant
snippet:

udi =
'/org/freedesktop/Hal/devices/usb_usb_device_3f0_2911_100_-1_MY2CVF42CR0G_1'
  info.capabilities = 'printer'  (string)
  printer.device = '/dev/usb/lp0'  (string)
  info.category = 'printer'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/usb_usb_device_3f0_2911_100_-1_MY2CVF42CR0G_1'
 (string)
  info.product = 'USB Printing Interface'  (string)
  usb.interface.subclass = 1  (0x1)  (int)
  usb.interface.protocol = 2  (0x2)  (int)
  usb.interface.number = 1  (0x1)  (int)
  usb.interface.class = 7  (0x7)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 0  (0x0)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.max_power = 2  (0x2)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 4  (0x4)  (int)
  usb.device_revision_bcd = 256  (0x100)  (int)
  usb.is_self_powered = true  (bool)
  usb.can_wake_up = false  (bool)
  usb.serial = 'MY2CVF42CR0G'  (string)
  usb.product_id = 10513  (0x2911)  (int)
  usb.vendor_id = 1008  (0x3f0)  (int)
  usb.vendor = 'Hewlett-Packard'  (string)
  usb.product = 'PSC 2200 Series'  (string)
  usb.bus_number = 1  (0x1)  (int)
  usb.port_number = 2  (0x2)  (int)
  usb.level_number = 1  (0x1)  (int)
  usb.linux.device_number = 3  (0x3)  (int)
  usb.linux.parent_number = 3  (0x3)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.version_bcd = 512  (0x200)  (int)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_3f0_2911_100_-1_MY2CVF42CR0G'
 (string)
  usb.linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:07.2/usb1/1-2/1-2:1.1'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:07.2/usb1/1-2/1-2:1.1'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:07.2/usb1/1-2/1-2:1.1'  (string)
  info.bus = 'usb'  (string)

Comment 4 John (J5) Palmieri 2004-10-21 14:54:12 EDT
tim, I put new packages up at
http://people.redhat.com/johnp/desktop-printing

Can you install these and tell me if they fix the problem.  Also david
wants you attach the output of hal generated when you plug in the
printer.  To get this go to http://www.freedesktop.org/Software/HalTraces
Comment 5 Tim Waugh 2004-10-21 17:31:19 EDT
Seems to have fixed the crash.  I'll do the HAL trace tomorrow.
Comment 6 David Zeuthen 2005-03-21 12:47:43 EST
I think this is now fixed.

Note You need to log in before you can comment on or make changes to this bug.